Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

With the latest Oneiric updates, I've been unable to use Second Life, a virtual reality simulator, in Ubuntu. I assume it has something to do with the NVidia driver, since the error in the console says:

WARNING: createWindow: LLWindowManager::create() : Error creating window.
WARNING: LLViewerWindow: Failed to create window, to be shutting Down, be sure your graphics driver is updated

I guess I could file a bug on Launchpad, but I'm not sure where to file it. Does anyone have any insight into what may be causing this problem? It was working fine a week ago, and older viewers (Imprudence viewer anyway) still work fine.

share|improve this question

closed as off topic by fossfreedom Apr 4 '12 at 18:31

Questions on Ask Ubuntu are expected to relate to Ubuntu within the scope defined by the community. Consider editing the question or leaving comments for improvement if you believe the question can be reworded to fit within the scope. Read more about reopening questions here.If this question can be reworded to fit the rules in the help center, please edit the question.

    
Can I suggest you use ubuntu-bug linux - title the bug report "oneiric" and let the moderators move it to the correct package. –  fossfreedom Sep 19 '11 at 11:36
    
@fossfreedom Presumably you don't mean that the bug report's title (i.e., summary) should be "oneiric", but rather that the bug should have the oneiric tag. ...But it will be automatically created with that tag if ubuntu-bug is used on an Oneiric system, as is there case here. –  Eliah Kagan Nov 12 '11 at 1:44
    
However, linux is almost definitely not the right package for this (and it should not be used as a catch-all package when the right package is not known). You should instead use ubuntu-bug to file this against xorg or xserver-xorg or xserver-xorg-video-nv or the Nvidia driver package nvidia-current. In fact, you can file it against any one of those (I suggest xserver-xorg) and then add the others with Also affects distribution on the Launchpad bug page. The packages that are wrong can then be marked Invalid by triagers/developers. –  Eliah Kagan Nov 12 '11 at 1:44
add comment

1 Answer 1

It is likely you need to reinstall the NVidia drivers - here is what i did. I assume you have the NVidia drivers someplace NVIDIA-driver-x86.205.196.run or somesuch.

CTRL-ALT-F1 - gives you a login screen - login and then stop the X-windows so you can reinstall or update the drivers thus

sudo service gdm stop

then find your directory with the drivers in and

sudo sh NVIDIA-driver-x86.205.196.run and it will build it for you.

restart x-windows - sudo service gdm start and you're back!

login and you ought to be good to go.

share|improve this answer
    
He is talking about Ubuntu 11.10, gdm is not used. –  Bruno Pereira Nov 12 '11 at 1:33
    
In addition to that, you should install the nvidia drivers from the ubuntu repositories. –  bodhi.zazen Mar 6 '12 at 3:59
add comment

Not the answer you're looking for? Browse other questions tagged or ask your own question.